com.buschmais.jqassistant.plugin.xml.api.model

## Interface XmlFileDescriptor

- All Superinterfaces:
    com.buschmais.jqassistant.core.store.api.model.Descriptor, com.buschmais.jqassistant.plugin.common.api.model.FileDescriptor, com.buschmais.jqassistant.plugin.common.api.model.FileNameDescriptor, XmlDescriptor

      public interface XmlFileDescriptor
      extends XmlDescriptor, com.buschmais.jqassistant.plugin.common.api.model.FileDescriptor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCharacterEncodingScheme()`
    `XmlElementDescriptor` | `getRootElement()`
    `String` | `getXmlVersion()`
    `boolean` | `isStandalone()`
    `boolean` | `isXmlWellFormed()`
    `void` | `setCharacterEncodingScheme(String characterEncodingScheme)`
    `void` | `setRootElement(XmlElementDescriptor rootElement)`
    `void` | `setStandalone(boolean standalone)`
    `void` | `setXmlVersion(String version)`
    `void` | `setXmlWellFormed(boolean wellFormed)`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.common.api.model.FileNameDescriptor

      `getFileName, setFileName`

- - ### Method Detail

    - #### getRootElement

          @Relation(value="HAS_ROOT_ELEMENT")
          XmlElementDescriptor getRootElement()

    - #### setRootElement

          void setRootElement(XmlElementDescriptor rootElement)

    - #### getXmlVersion

          String getXmlVersion()

    - #### setXmlVersion

          void setXmlVersion(String version)

    - #### getCharacterEncodingScheme

          String getCharacterEncodingScheme()

    - #### setCharacterEncodingScheme

          void setCharacterEncodingScheme(String characterEncodingScheme)

    - #### isStandalone

          boolean isStandalone()

    - #### setStandalone

          void setStandalone(boolean standalone)

    - #### isXmlWellFormed

          boolean isXmlWellFormed()

    - #### setXmlWellFormed

          void setXmlWellFormed(boolean wellFormed)

Copyright © 2015 buschmais GbR. All rights reserved.